DHKSEQ(3)

SYNOPSIS
SUBROUTINE DHKSEQ (X, M, H, IERR)

NAME
dhkseq - Subsidiary to DBSKIN

LIBRARY
SLATEC

TYPE
DOUBLE PRECISION (HKSEQ-S, DHKSEQ-D)

AUTHOR
Amos, D. E., (SNLA)

DESCRIPTION
DHKSEQ is an adaptation of subroutine DPSIFN described in the reference below. DHKSEQ generates the sequence H(K,X) = (-X)**(K+1)*(PSI(K,X) PSI(K,X+0.5))/GAMMA(K+1), for K=0,...,M.

SEE ALSO
DBSKIN

REFERENCES
D. E. Amos, A portable Fortran subroutine for derivatives of the Psi function, Algorithm 610, ACM Transactions on Mathematical Software 9, 4 (1983), pp. 494-502.

ROUTINES CALLED
D1MACH, I1MACH

REVISION HISTORY (YYMMDD)
820601 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890911 Removed unnecessary intrinsics. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900328 Added TYPE section. (WRB)
910722 Updated AUTHOR section. (ALS)
920528 DESCRIPTION and REFERENCES sections revised. (WRB)